//==============================================

certificate.v.preval = false;
certificate.transfer = {
    process: function() {
        certificate.v.preval = true;
        
        if (certificate.transfer.valid()) {
            $("#transfer").submit();
        }

    }, //==============================================
    status: function() {
    }, //==============================================
    valid: function() {
        var valid = true;
        var i = 0
        try {
            var item = '#cert_' + i + '_First';
            if ($(item).val().length) {
                $(item).css('border-color','');
            } else if (certificate.v.preval) {
                $(item).css('border-color','crimson');
                valid = false;
            }


            var item = '#cert_' + i + '_Last';
            if ($(item).val().length) {
                $(item).css('border-color','');
            } else if (certificate.v.preval) {
                $(item).css('border-color','crimson');
                valid = false;
            }


            var item = '#cert_' + i + '_Email';
            if ($(item).val().length) {
                if ($(item).val().includes("@") && $(item).val().includes(".")) {
                    $(item).css('border-color','');
                } else if (certificate.v.preval) {
                    $(item).css('border-color','crimson');
                    valid = false;
                }
            } else if (certificate.v.preval) {
                $(item).css('border-color','crimson');
                valid = false;
            }






            if ($(item).val().length) {
                if ( $(item).val().indexOf('@') > -1 && $(item).val().indexOf('.') > -1 ) {
                    $(item).css('border-color','');
                } else {
                    $(item).css('border-color','crimson');
                    valid = false;
                }
            } else {
                $(item).css('border-color','crimson');
                valid = false;
            }

        if (valid) {

            var validChars = '0123456789abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ@.-_+!%$'
            var theData = $(item).val();
            for (var iChar = 0; iChar < theData.length; iChar++) {
                if ( validChars.indexOf( theData[iChar] ) === -1 ) { valid = false; $(item).css('border-color','crimson'); }
            }

            if ( theData.indexOf(' ') > -1 ) { valid = false; $(item).css('border-color','crimson'); }
            if ( theData.toLowerCase().indexOf('mailto') > -1 ) { valid = false; $(item).css('border-color','crimson'); }
            if ( theData.split('@').length-1 === 1 ) {} else { valid = false; $(item).css('border-color','crimson'); }
            if ( theData.split('.com').length-1 > 1 ) { valid = false; $(item).css('border-color','crimson'); console.log( 'Error: .com dup',theData.split('.com').length-1 );}
        }









            var item = '#cert_' + i + '_From';
            if ($(item).val().length && $(item).val() !== 'From Name') {
                $(item).css('border-color','');
            } else if (certificate.v.preval) {
                $(item).css('border-color','crimson');
                valid = false;
            }


            // var item = '#cert_' + i + '_Message';
            // if ($(item).val().length && $(item).val() !== 'Message') {
            //     $(item).css('border-color','');
            // } else if (certificate.v.preval) {
            //     $(item).css('border-color','crimson');
            //     $(item).css('border-width','2px');
            //     valid = false;
            // }



        } catch (err) {}
        return valid
    }, //==============================================
    nullFunction: function() {
        //certificate.shared.log('null');
    } //==============================================
}
